Subject: Re: [PATCH net-next v2 2/3] bonding: support QinQ for bond arp interval

From: Veaceslav Falico <[email-masked]>
Date: Wed, 19 Mar 2014 06:39:58 +0100

On Wed, Mar 19, 2014 at 09:29:25AM +0800, Ding Tianhong wrote:
...snip...
>The QinQ didn't mean that the first(outer) tag must be 802.1ad, and the second(inner) tag must be 802.1q,

Do you have a quote for that from the standard? What I know and read
everywhere is that the standard specifies the outer s-tag to always be
0x88A8.

The other thing is that we don't live in an ideal world and there are a
lot of non-standard implementations out there, which might use 0x8100,
0x9100, 0x9200, 0x9300... for the outer s-tag, that's why using the
user-provided proto is better.